Interface WafAtpConfig.Builder

  • Method Details

    • loginPath

      WafAtpConfig.Builder loginPath(String loginPath)

      The path of the login endpoint of your application (for example, /login). Login paths that start with the path that you specify are a match.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Parameters:
      loginPath - The path of the login endpoint of your application (for example, /login). Login paths that start with the path that you specify are a match.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • payloadType

      WafAtpConfig.Builder payloadType(String payloadType)

      The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Parameters:
      payloadType - The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also:
    • payloadType

      WafAtpConfig.Builder payloadType(WafPayloadTypeEnum payloadType)

      The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Parameters:
      payloadType - The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also:
    • usernameField

      WafAtpConfig.Builder usernameField(String usernameField)

      The name of the field in the request body that contains the username (for example, /username for JSON or username for FORM_ENCODED).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash (/).

      • Must contain from 1 to 512 characters.

      Parameters:
      usernameField - The name of the field in the request body that contains the username (for example, /username for JSON or username for FORM_ENCODED ).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash ( /).

      • Must contain from 1 to 512 characters.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • passwordField

      WafAtpConfig.Builder passwordField(String passwordField)

      The name of the field in the request body that contains the password (for example, /password for JSON or password for FORM_ENCODED).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash (/).

      • Must contain from 1 to 512 characters.

      Parameters:
      passwordField - The name of the field in the request body that contains the password (for example, /password for JSON or password for FORM_ENCODED ).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash ( /).

      • Must contain from 1 to 512 characters.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • responseInspection

      WafAtpConfig.Builder responseInspection(WafResponseInspection responseInspection)

      An object that describes the HTTP status codes that your application returns for successful and failed login attempts.

      Parameters:
      responseInspection - An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • responseInspection

      default WafAtpConfig.Builder responseInspection(Consumer<WafResponseInspection.Builder> responseInspection)

      An object that describes the HTTP status codes that your application returns for successful and failed login attempts.

      This is a convenience method that creates an instance of the WafResponseInspection.Builder avoiding the need to create one manually via WafResponseInspection.builder().

      When the Consumer completes, SdkBuilder.build() is called immediately and its result is passed to responseInspection(WafResponseInspection).

      Parameters:
      responseInspection - a consumer that will call methods on WafResponseInspection.Builder
      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also: